Support Center

Supported Browsers

Last Updated: Jun 05, 2015 12:46AM BST
Supported Browsers
To take advantage of all of the features of Wikispaces, you will need to use one of the following web browsers:
  • Latest Chrome
  • Latest Firefox
  • Internet Explorer 10+ (we recommend Internet Explorer 11 for the best experience)
  • Safari 6
  Download a Supported Browser   Unsupported Browsers Earlier versions of the browsers listed above may not work well with Wikispaces. As of April 5, 2013 we do not support Internet Explorer 7.
 

Contact Us

wikispaces-desk@tangient.com
http://assets1.desk.com/
false
desk
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
false
Invalid characters found
/customer/en/portal/articles/autocomplete